/*
 * Copyright (c) 2011 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


#ifndef __TIZEN_COMMON_ERROR_EXT_H__
#define __TIZEN_COMMON_ERROR_EXT_H__

#include <errno.h>

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @defgroup CAPI_COMMON_ERROR_EXT Common Extension Error
 * @brief This file provides error codes that are common for the whole TIZEN Extension API.
 * @section CAPI_COMMON_ERROR_EXT_HEADER Required Header
 *   \#include <tizen_error_extension.h>
 * @ingroup CAPI_COMMON_ERROR
 * @{
 */


/* Tizen In App Purchase GALAXYApps Error */
#define TIZEN_ERROR_IN_APP_PURCHASE_GALAXYAPPS     -0x10070000

/**
 * @}
 */
#ifdef __cplusplus
}
#endif

#endif         /**<__TIZEN_COMMON_ERROR_EXT_H__ */
